eoDetTournamentTruncateSplit(3)

NAME
eoDetTournamentTruncateSplit - a ReduceSplit class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g.

SYNOPSIS

#include <eoReduceSplit.h>

Inherits eoReduceSplit< EOT >< EOT >.

  Public Member Functions
eoDetTournamentTruncateSplit (unsigned _t_size, eoHowMany _howMany, bool _returnEliminated=false)
Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
Performs repeated inverse_deterministic_tournament on the pop.

  Private Attributes
unsigned t_size
eoHowMany howMany
bool returnEliminated

Detailed Description

  template<class EOT> class eoDetTournamentTruncateSplit< EOT >
a ReduceSplit class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g. see eoSSGADetTournamentReplacement)

Definition at line 205 of file eoReduceSplit.h.

Author

Generated automatically by Doxygen for EO from the source code.